Package: libhdf5-java
Version: 1.10.0-patch1+docs-3
Severity: grave
Justification: renders package unusable

Hi,

I have just discovered that the libhdf5-java package fails to ship
the jarhdf5.jar file.  This makes the HDF5 java bindings unusable
(this came up whilst trying to compile the newly released hdfview).

The problem seems to be the use of $(upstreamversion) to rename
the jar file in the install rule and also that jh_installlibs
is not being called.

I've hacked around it for now by changing the dh_install_java
rule in debian/rules to contain:

dh_install_java: build_serial
    mv debian/build-serial/java/src/jarhdf5-*.jar 
debian/build-serial/java/src/jarhdf5.jar
    jh_installlibs

which ensures that the jar is shipped - this may not be the
solution which you want to use.

This problem affects stable as well as unstable (as it's the same
version).

Thanks,

Mark

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to